""" data-fetcher return codes as specified in README and usage string """
from enum import Enum


class ReturnCode(Enum):
    """ Canonical data-fetcher exit code values """

    SUCCESS = {'code': 0, 'text': 'success'}
    MISSING_PROFILE = {'code': 1, 'text': 'no CAPO profile provided'}
    MISSING_SETTING = {'code': 2, 'text': 'missing required setting'}
    LOCATOR_SERVICE_TIMEOUT = {'code': 3, 'text': 'request to locator service timed out'}
    TOO_MANY_SERVICE_REDIRECTS = {'code': 4, 'text': 'too many redirects on locator service'}
    CATASTROPHIC_REQUEST_ERROR = {'code': 5, 'text': 'catastrophic error on request service'}
    PRODUCT_LOCATOR_NOT_FOUND = {'code': 6, 'text': 'product locator not found'}
    CANNOT_OPEN_LOCATION_FILE = {'code': 7, 'text': 'not able to open specified location file'}
    NGAS_FETCH_ERROR = {'code': 8, 'text': 'error fetching file from NGAS server'}
    SIZE_MISMATCH = {'code': 9, 'text': 'retrieved file not expected size'}
