#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open("src/schema/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="NRAO Archive Schema Library",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=["sqlalchemy", "pycapo", "psycopg2", "mysqlclient", "cx_Oracle"],
    keywords=[],
    packages=["schema"],
    package_dir={"": "src"},
    classifiers=["Programming Language :: Python :: 3.8"],
)
